global menu_Pactions, gv_currenthelp, gv_Pactions, gv_tlumaczenie, gtlo

on menu_begin
  dialog_exit(#init)
  dialog_punktacja(#init)
  gf_pactions_clear()
  gf_pactions_add(5, 24)
  gf_pactions_add(40)
  gf_pactions_add(96)
  gf_pactions_add(61, 70)
end

on menu_end
end

on menu_firstenter
  SetVisibility(0, 120)
  if not gf_checkglobalfirstenter() then
    gf_setglobalfirstenter()
    mis_help("2_01.wav")
  else
    mis_help("10_01.WAV")
  end if
end

on menu_ef
  sequenceaction()
  gf_tlo()
  randomactions()
end

on menu_Pspr spnr
  case spnr of
    5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 96:
      gfang_Psound(spnr)
      gfang_PFX(spnr)
    40, 61, 62, 63, 64, 65, 66, 67, 68, 69, 70:
      gfang_Panim(spnr)
    31:
      Paction_sound("2_04p.wav")
    32:
      if gtlo then
        Paction_sound("2_27p.wav")
      else
        Paction_sound("2_2702P.WAV")
      end if
      FX("2_2701p.wav")
    33:
      Paction_sound("2_06p.wav")
    34:
      Paction_sound("2_07p.wav")
      FX("2_0701p.wav")
    35:
      Paction_sound("2_05p.wav")
    36:
      if gv_tlumaczenie then
        Paction_sound("10_1003w.wav")
      else
        Paction_sound("10_03p.wav")
      end if
    90:
      setfromcoords(30, 92)
      sequenceaction_clear(#Paction)
      sequenceaction_addsound("2_01p.wav", #Paction)
      sequenceaction_addaction("mis_compl()", VOID, #Paction)
  end case
end

on mis_compl
  sequenceaction_clear(#Paction)
  puppetSoundOFF()
  disposeBMPsprite(92)
end

on menu_PFspr spnr
  case spnr of
    5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 96:
      gf_config(#p, spnr)
    31, 32, 33, 34, 35, 36:
      setfromcoords(spnr - 20, spnr, "bmpcoords_global")
  end case
end

on menu_Dspr spnr
  case spnr of
    31, 32, 33, 34, 35, 36:
      setfromcoords(spnr - 10, spnr, "bmpcoords_global")
  end case
end

on menu_Lspr spnr
  case spnr of
    5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 96:
      gf_config(#s, spnr)
      Laction()
      puppetFXOFF()
    40, 61, 62, 63, 64, 65, 66, 67, 68, 69, 70:
      Laction_seq()
    31, 32, 33, 34, 35, 36:
      setfromcoords(spnr - 30, spnr, "bmpcoords_global")
      Laction()
      puppetFXOFF()
    90:
      if sequenceaction_isactive(#Paction) then
        mis_compl()
      end if
  end case
end

on menu_Wspr spnr
  menu_Lspr(spnr)
  case spnr of
    5:
      gf_actiongomovie("4.dir")
    65:
      gf_actiongomovie("3.dir")
    31:
      gf_actiongomovie("5.dir")
    32:
      gtlo = 1 - gtlo
      if not gtlo then
        puppetTloOFF()
      else
        gf_tlo()
      end if
    33:
      if gfang_checknagroda(#sklep) and gfang_checknagroda(#domek1) and gfang_checknagroda(#domek2) and gfang_checknagroda(#kolor) then
        gf_actiongomovie("7.dir")
      else
        dialog_punktacja(#show)
      end if
    34:
      dialog_exit(#show, "9_0302.WAV")
    139:
      savescore()
      gf_actiongo("exit", #out)
    35:
      gf_actiongomovie("6.dir")
    36:
      gv_tlumaczenie = 1 - gv_tlumaczenie
    90:
      mis_help("2_0101w.wav")
  end case
end

on mis_help WAV
  randomactions_freeze()
  setfromcoords(30, 92)
  gf_setconfirm("mis_helpcompl()")
  sequenceaction_clear(#help)
  sequenceaction_addsound(WAV, #help)
  sequenceaction_addaction("gf_doconfirm()", VOID, #help)
end

on mis_helpcompl
  sequenceaction_clear(#help)
  puppetSoundOFF()
  puppetFXOFF()
  gf_clearconfirm(1)
  setfromcoords(31, 91)
  disposeBMPsprite(92)
  gf_config(#s, 61)
  gf_config(#s, 62)
  gf_config(#s, 66)
  show(92)
  randomactions_allow()
end

on menu_cue a, b, c
  case c of
    "2_01_02":
      hide(92)
      cueaction(66)
    "2_01_02e":
      show(92)
      gf_config(#s, 66)
    "2_01_03":
      hide(92)
      cueaction(62)
    "2_01_03e":
      show(92)
      gf_config(#s, 62)
    "2_01_04":
      hide(92)
      cueaction(61)
    "2_01_04e":
      show(92)
      gf_config(#s, 61)
    "2_01_01", "2_01_05", "2_01_06":
      setfromcoords(31, 91)
      updateStage()
      setfromcoords(32, 91)
      updateStage()
  end case
end

on cueaction spnr
  global gv_pactiondvspnr, gv_pactionactive
  p = getaProp(gv_Pactions, spnr)
  if voidp(p) then
    exit
  end if
  if not gv_tlumaczenie then
    FX = getaProp(p, #Fx1)
  else
    FX = getaProp(p, #Fx2)
  end if
  sequenceaction_clear(#cueanim)
  sequenceaction_addaction("gf_config(#P," & spnr & ")", VOID, #cueanim)
  sequenceaction_addsound(FX, #cueanim, 3)
  sequenceaction_addaction("gf_config(#S," & spnr & ")", VOID, #cueanim)
end

on dialog_punktacja func, nr
  global gv_results
  case func of
    #init:
      hide(105, 116)
    #show:
      randomactions_freeze()
      dialog_punktacja(#mis)
      updateStage()
      L = [#sklep, #domek1, #domek2, #kolor]
      puppetTrans(#dissolve)
      repeat with i = 1 to 4
        sprite(106 + i).visible = gfang_checknagroda(getAt(L, i))
      end repeat
      show([105, 106, 111, 112, 113, 114, 115, 116])
      updateStage()
    #hide:
      randomactions_allow()
      dialog_punktacja(#misclear)
      updateStage()
      puppetTrans(#dissolve)
      hide(105, 116)
      updateStage()
    #mis:
      sequenceaction_clear(#punktacja)
      sequenceaction_addaction("setfromcoords(30,92)", VOID, #punktacja)
      sequenceaction_addsound("2_0103.WAV", #punktacja, 2)
      sequenceaction_addaction("disposebmpsprite(92)", VOID, #punktacja)
    #misclear:
      sequenceaction_clear(#punktacja)
      disposeBMPsprite(92)
      psound(0, 2)
    #p:
      if not sequenceaction_isactive(#punktacja) then
        case nr of
          1:
            Paction_sound("8_05P.WAV")
          2:
            setfromcoords(30, 92)
            sequenceaction_clear(#Paction)
            sequenceaction_addsound("2_01p.wav", #Paction)
            sequenceaction_addaction("mis_compl()", VOID, #Paction)
          3:
            Paction_sound("8_02P.WAV")
          4:
            Paction_sound("8_03P.WAV")
          5:
            Paction_sound("8_04P.WAV")
          6:
            Paction_sound("8_06P.WAV")
        end case
      end if
    #L:
      case nr of
        1, 3, 4, 5, 6:
          Laction()
        2:
          if sequenceaction_isactive(#Paction) then
            mis_compl()
          end if
      end case
    #W:
      case nr of
        1:
          gv_results = []
          hide(107, 110)
          updateStage()
        2:
          if sequenceaction_isactive(#Paction) then
            mis_compl()
          end if
          if sequenceaction_isactive(#punktacja) then
            dialog_punktacja(#misclear)
          else
            dialog_punktacja(#mis)
          end if
        6:
          dialog_punktacja(#hide)
      end case
  end case
end

on shape f, nr
  case f of
    #p:
      case nr of
        1, 2:
          Paction_sound(gfang_tlumaczenie("2_26"))
          FX("2_2601pp.wav")
        3, 4:
          Paction_sound(gfang_tlumaczenie("2_14"))
          FX("2_1401p.wav")
        5, 6:
          Paction_sound(gfang_tlumaczenie("2_33"))
      end case
    #L:
      case nr of
        1, 2, 3, 4, 5, 6:
          Laction()
          puppetFXOFF()
      end case
  end case
end
